Bug 44833 - maintainer-update: x11-wm/fluxbox remember patch
Summary: maintainer-update: x11-wm/fluxbox remember patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Patrick Li
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-02 15:30 UTC by hendrik
Modified: 2002-11-03 16:25 UTC (History)
1 user (show)

See Also:


Attachments
fluxbox-0.1.12remember.patch (1.51 KB, patch)
2002-11-02 15:30 UTC, hendrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hendrik 2002-11-02 15:30:01 UTC
This adds optional remember features to the fluxbox windowmanager.
The patch allows to remember workspace, dimension, position, sticky state, ...
for each program.
In addition these things have been changed:

- add WITH_REMEMBER knob
- add --enable-gnome and --enable-kde flags
- make xinerama default as it is stable
- distinfo update

download URL: http://www.raisdorf.net/files/FreeBSD/fluxbox-0.1.12remember.patch
Comment 1 Patrick Li freebsd_committer 2002-11-02 17:02:25 UTC
Responsible Changed
From-To: freebsd-ports->pat

I'll take care of this one
Comment 2 obraun 2002-11-02 17:48:06 UTC
looks like the remember patch needs automake:

# make -DWITH_REMEMBER
<snip>
Making all in src
gmake[2]: Entering directory `/usr/home/lizard/freebsd/fluxbox/work/fluxbox-0.1.12/src'
cd .. && \
  automake-1.6 --gnu  src/Makefile
automake-1.6: not found
gmake[2]: *** [Makefile.in] Error 127
gmake[2]: Leaving directory `/usr/home/lizard/freebsd/fluxbox/work/fluxbox-0.1.12/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/home/lizard/freebsd/fluxbox/work/fluxbox-0.1.12'
gmake: *** [all] Error 2
*** Error code 2

Stop in /usr/home/lizard/freebsd/fluxbox.

Seems to work with:

CONFIGURE_ARGS+= AUTOMAKE=${AUTOMAKE}

and a corresponging build depends line, but not with AUTOMAKE=yes.

Hendrik, thanks for submitting this update. I can't hardly wait using it ;o)

Regards,
         Olli
-- 
{- IST & IIS _ INF _ UniBwM :: obraun@informatik.unibw-muenchen.de -}
{- Tele-Consulting GmbH     :: obraun@Tele-Consulting.com          -}
{- FreeBSD Commmitter       :: obraun@FreeBSD.org                  -}
Comment 3 Patrick Li freebsd_committer 2002-11-02 18:42:12 UTC
On Sat, Nov 02, 2002 at 06:48:06PM +0100, Oliver Braun wrote:
> looks like the remember patch needs automake:

Yes i realized that when i tested.
New patch located here:

http://people.freebsd.org/~pat/fluxbox.diff

Changes in the modified patch include some whitespace fix and make KDE, GNOME,
and leave Xinerama support non default. They shouldn't be enabled by default
anyways. Print pre-everything message correctly because with the current patch
in PR, it will not print the

"To enable the unofficial remember patch define WITH_REMEMBER"

line if WITHOUT_XINERAMA is defined.
Thats pretty much it, please review and tell me if anything needs changing.

-pat
Comment 4 obraun 2002-11-02 19:07:28 UTC
* Patrick Li <pat@FreeBSD.ORG> [2002-11-02 10:42 -0800]:
> http://people.freebsd.org/~pat/fluxbox.diff
> Thats pretty much it, please review and tell me if anything needs changing.


works fine for me.

Regards,
         Olli
-- 
{- IST & IIS _ INF _ UniBwM :: obraun@informatik.unibw-muenchen.de -}
{- Tele-Consulting GmbH     :: obraun@Tele-Consulting.com          -}
{- FreeBSD Commmitter       :: obraun@FreeBSD.org                  -}
Comment 5 Hendrik Scholz 2002-11-02 19:17:32 UTC
Hi!

I've tested your patch and it works for me.
During the last few weeks I've been running fluxbox with xinerama
support enabled and didn't run into any problems. As most Linux
distribution come with a xinerama enabled package we should do it too as
there don't seem to be any disadvantages in that.
The --enable-gnome and --enable-kde knobs should be enabled by default
as the users might benefit from these features. I cannot see any
problem with that. There might be a WITHOUT_ knob to reduce the memory
footprint (haven't checked the differences).

Thanks, Hendrik

-- 
Hendrik Scholz - <hscholz@raisdorf.net> - http://raisdorf.net/

drag me, drop me - treat me like an object
Comment 6 Patrick Li freebsd_committer 2002-11-03 16:25:16 UTC
State Changed
From-To: open->closed

Committed, Thanks!